<?xml version="1.0"?>

<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:ObjectManager/etc/config.xsd">
    <type name="Magento\CatalogImportExport\Model\Import\Product\Validator">
        <plugin name="import-advance" type="BelVG\ImportAdvance\Plugin\Import\Product\Validator" sortOrder="1"/>
    </type>
    <type name="Magento\CatalogImportExport\Model\Import\Product\Type\AbstractType">
        <plugin name="import-advance-type" type="BelVG\ImportAdvance\Plugin\Import\Product\Type" sortOrder="1"/>
    </type>
    <type name="BelVG\ImportAdvance\Plugin\Import\Product\Validator">
        <arguments>
            <argument name="helperArgument" xsi:type="object">BelVG\ImportAdvance\Helper\Attributes</argument>
            <argument name="importProduct" xsi:type="object">Magento\CatalogImportExport\Model\Import\Product</argument>
        </arguments>
    </type>
    <preference for="Magento\ConfigurableImportExport\Model\Import\Product\Type\Configurable" type="BelVG\ImportAdvance\Model\Product\Type\Configurable" />
    <type name="Magento\ConfigurableImportExport\Model\Import\Product\Type\Configurable">
        <plugin name="import-advance-configurable" type="BelVG\ImportAdvance\Plugin\ConfigurableImportExport\Product\Validator" sortOrder="1"/>
    </type>
    <type name="Magento\Backend\Block\Widget\Form">
        <plugin name="import-advance-edit-form" type="BelVG\ImportAdvance\Plugin\Widget\Form" sortOrder="1"/>
    </type>
</config>
